Security update for the Linux Kernel (Live Patch 18 for SLE 12 SP4)

SUSE Security Update: Security update for the Linux Kernel (Live Patch 18 for SLE 12 SP4)
Announcement ID: SUSE-SU-2022:0296-1
Rating: important
References: #1186061 #1191529 #1192036 #1193863 #1194680
Cross-References:CVE-2018-25020 CVE-2020-25670 CVE-2020-25671 CVE-2020-25672 CVE-2020-25673 CVE-2020-3702 CVE-2021-23134 CVE-2021-42739
Affected Products:
  • SUSE Linux Enterprise Live Patching 12-SP4

An update that fixes 8 vulnerabilities is now available.

Description:

This update for the Linux Kernel 4.12.14-95_68 fixes several issues.
The following security issues were fixed:

  • CVE-2018-25020: Fixed an issue in the BPF subsystem in the Linux kernel mishandled situations with a long jump over an instruction sequence where inner instructions require substantial expansions into multiple BPF instructions, leading to an overflow. (bsc#1193575)
  • CVE-2020-3702: Fixed a bug which could be triggered with specifically timed and handcrafted traffic and cause internal errors in a WLAN device that lead to improper layer 2 Wi-Fi encryption with a consequent possibility of information disclosure. (bsc#1191193)
  • CVE-2020-25670, CVE-2020-25671, CVE-2020-25672, CVE-2020-25673, CVE-2021-23134: Fixed multiple bugs in NFC subsytem (bsc#1178181, bsc#1186060).
  • CVE-2021-42739: The firewire subsystem had a buffer overflow related to drivers/media/firewire/firedtv-avc.c and drivers/media/firewire/firedtv-ci.c, because avc_ca_pmt mishandled bounds checking (bsc#1184673).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Live Patching 12-SP4:
    zypper in -t patch SUSE-SLE-Live-Patching-12-SP4-2022-296=1 SUSE-SLE-Live-Patching-12-SP4-2022-297=1

Package List:

  • SUSE Linux Enterprise Live Patching 12-SP4 (ppc64le s390x x86_64):
    • kgraft-patch-4_12_14-95_68-default-14-2.2
    • kgraft-patch-4_12_14-95_71-default-13-2.2

References: